Subject: Re: header conflict introduced by change to netfilter_ipv4/ip_tables.h

From: Daniel Borkmann <[email-masked]>
Date: Thu, 25 Feb 2016 21:53:32 +0100

On 02/04/2016 08:13 AM, Josh Boyer wrote:
> On Thu, Jan 7, 2016 at 2:15 PM, Mikko Rapeli <[email-masked]> wrote:
>> On Thu, Jan 07, 2016 at 10:30:40AM -0800, Stephen Hemminger wrote:
>>> On Thu, 7 Jan 2016 07:29:50 +0000
>>> Mikko Rapeli <[email-masked]> wrote:
>>>> On Wed, Jan 06, 2016 at 09:20:07AM -0800, Stephen Hemminger wrote:
>>>>> This commit breaks compilation of iproute2 with net-next.
>>>>
>>>> Ok, linux/if.h and libc net/if.h have overlapping defines, and this is not
>>>> the only one. I saw lots of them in the core dump headers.
>>>>
>>>> How should we handle them? Another ifndef for IFNAMSIZ into kernel uapi
>>>> headers?
>>>>
>>>> -Mikko
>>>
>>> Probably need to do the same thing that was done previously for these
>>> kind of conflicts.  This makes make linux/if.h change to adapt to net/if.h
>>> being included before it.
>>
>> Ok, got it. And found include/uapi/linux/libc-compat.h. Did not know about it
>> and was looking for solutions to these problems.
>>
>> But now I feel like writing a test script for mixing of kernel uapi
>> and libc headers to find out how many other collitions are still there.
>> Not good for the pile of over 70 patches in my branch
>> https://github.com/torvalds/linux/compare/master...mcfrisk:headers_test_v05
>>
>>> Or revert your patch.
>>
>> I'm fine with this too.
>
> This is causing a number of build failures in Fedora rawhide now.  Did
> anyone submit a revert or patch to fix this issue?

Mikko, was there any follow-up patch to fix this? Seems like the build
error is not yet resolved.

Thanks,
Daniel